Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.utils
Class CollectionFactory.CollectionData

    java.lang.Object
      edu.uci.ics.jung.utils.CollectionFactory.CollectionData

Enclosing class:
  CollectionFactory

protected static class CollectionFactory.CollectionData
extends Object

Field Summary
`protected Collection` | `backing_collection`
`protected Collection` | `collection`
`protected Comparator` | `comp`
`protected boolean` | `is_dynamic` If `is_dynamic` is true, the backing collection is automatically re-sorted and/or re-filtered each time an `Iterator` is requested.
`protected Predicate` | `p`

Constructor Summary
`CollectionFactory.CollectionData(Collection c, Comparator comp, Predicate p, boolean dynamic)`

Method Summary
`protected List` | `buildBackingCollection(Collection c, Predicate p, Comparator comp)`
`protected Collection` | `getBackingCollection()`
`void` | `setComparator(Comparator comp)`
`void` | `setDynamic(boolean dynamic)`
`void` | `setPredicate(Predicate p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### is_dynamic

    protected boolean is_dynamic

  If `is_dynamic` is true, the backing collection is automatically re-sorted and/or re-filtered each time an `Iterator` is requested. (This is done in case either the collection, the comparator, or the predicate has changed.) Otherwise, the collection is (re)built only when `buildBackingCollection` is called.

### collection

    protected Collection collection

### comp

    protected Comparator comp

### backing_collection

    protected Collection backing_collection

### p

    protected Predicate p

Constructor Detail

### CollectionFactory.CollectionData

    public CollectionFactory.CollectionData(Collection c,
                                            Comparator comp,
                                            Predicate p,
                                            boolean dynamic)

Method Detail

### setComparator

    public void setComparator(Comparator comp)

### setPredicate

    public void setPredicate(Predicate p)

### setDynamic

    public void setDynamic(boolean dynamic)

### getBackingCollection

    protected Collection getBackingCollection()

### buildBackingCollection

    protected List buildBackingCollection(Collection c,
                                          Predicate p,
                                          Comparator comp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD